package com.zbf.system.domain;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 收货单对象 t_rk_receiving_goods
 *
 * @author tony
 * @date 2024-06-18
 */
@TableName(resultMap = "com.zbf.system.mapper.TRkReceivingGoodsMapper.TRkReceivingGoodsResult")
public class TRkReceivingGoods extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 入库通知单号 */
    @Excel(name = "入库通知单号")
    private String noticeId;

    /** 交货单号 */
    @Excel(name = "交货单号")
    private String deliveryId;

    /** 供应商编号 */
    @Excel(name = "供应商编号")
    private String providerId;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String providerName;

    /** 发货单号 */
    @Excel(name = "发货单号")
    private String purchaseId;

    /** 发货组织 */
    @Excel(name = "发货组织")
    private String shippingDept;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contact;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String telephone;

    /** 收货地址 */
    @Excel(name = "收货地址")
    private String receiveAddr;

    /** 发货日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发货日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendeDate;

    /** 采购组织 */
    @Excel(name = "采购组织")
    private String purchaseDept;

    /** 送货区域 */
    @Excel(name = "送货区域")
    private String receivingArea;

    /** 使用单位收货人 */
    @Excel(name = "使用单位收货人")
    private String useReceiver;

    /** 使用单位保管员 */
    @Excel(name = "使用单位保管员")
    private String useCustodian;

    /** 使用单位主管 */
    @Excel(name = "使用单位主管")
    private String useLeader;

    /** 收货人 */
    @Excel(name = "收货人")
    private String receiver;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applicant;

    /** 收货组织 */
    @Excel(name = "收货组织")
    private String produclotId;

    /** 收货人部门 */
    @Excel(name = "收货人部门")
    private String receiverDept;

    /** 招标员 */
    @Excel(name = "招标员")
    private String tenderer;

    /** 需求组织 */
    @Excel(name = "需求组织")
    private String operatorId;

    /** 工厂ID */
    private String factoryId;

    /** 存储模式 */
    private String storageMode;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 收货状态 */
    @Excel(name = "收货状态")
    private String receivingStatus;

    /** 订单类型 */
    private String orderType;
    private Long deptId;

/** 收货单明细信息 */
    private List<TRkReceivingGoodsTab> tRkReceivingGoodsTabList;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setNoticeId(String noticeId)
            {
            this.noticeId = noticeId;
            }

    public String getNoticeId()
            {
            return noticeId;
            }
    public void setDeliveryId(String deliveryId)
            {
            this.deliveryId = deliveryId;
            }

    public String getDeliveryId()
            {
            return deliveryId;
            }
    public void setProviderId(String providerId)
            {
            this.providerId = providerId;
            }

    public String getProviderId()
            {
            return providerId;
            }
    public void setProviderName(String providerName)
            {
            this.providerName = providerName;
            }

    public String getProviderName()
            {
            return providerName;
            }
    public void setPurchaseId(String purchaseId)
            {
            this.purchaseId = purchaseId;
            }

    public String getPurchaseId()
            {
            return purchaseId;
            }
    public void setShippingDept(String shippingDept)
            {
            this.shippingDept = shippingDept;
            }

    public String getShippingDept()
            {
            return shippingDept;
            }
    public void setContact(String contact)
            {
            this.contact = contact;
            }

    public String getContact()
            {
            return contact;
            }
    public void setTelephone(String telephone)
            {
            this.telephone = telephone;
            }

    public String getTelephone()
            {
            return telephone;
            }
    public void setReceiveAddr(String receiveAddr)
            {
            this.receiveAddr = receiveAddr;
            }

    public String getReceiveAddr()
            {
            return receiveAddr;
            }
    public void setSendeDate(Date sendeDate)
            {
            this.sendeDate = sendeDate;
            }

    public Date getSendeDate()
            {
            return sendeDate;
            }
    public void setPurchaseDept(String purchaseDept)
            {
            this.purchaseDept = purchaseDept;
            }

    public String getPurchaseDept()
            {
            return purchaseDept;
            }
    public void setReceivingArea(String receivingArea)
            {
            this.receivingArea = receivingArea;
            }

    public String getReceivingArea()
            {
            return receivingArea;
            }
    public void setUseReceiver(String useReceiver)
            {
            this.useReceiver = useReceiver;
            }

    public String getUseReceiver()
            {
            return useReceiver;
            }
    public void setUseCustodian(String useCustodian)
            {
            this.useCustodian = useCustodian;
            }

    public String getUseCustodian()
            {
            return useCustodian;
            }
    public void setUseLeader(String useLeader)
            {
            this.useLeader = useLeader;
            }

    public String getUseLeader()
            {
            return useLeader;
            }
    public void setReceiver(String receiver)
            {
            this.receiver = receiver;
            }

    public String getReceiver()
            {
            return receiver;
            }
    public void setApplicant(String applicant)
            {
            this.applicant = applicant;
            }

    public String getApplicant()
            {
            return applicant;
            }
    public void setProduclotId(String produclotId)
            {
            this.produclotId = produclotId;
            }

    public String getProduclotId()
            {
            return produclotId;
            }
    public void setReceiverDept(String receiverDept)
            {
            this.receiverDept = receiverDept;
            }

    public String getReceiverDept()
            {
            return receiverDept;
            }
    public void setTenderer(String tenderer)
            {
            this.tenderer = tenderer;
            }

    public String getTenderer()
            {
            return tenderer;
            }
    public void setOperatorId(String operatorId)
            {
            this.operatorId = operatorId;
            }

    public String getOperatorId()
            {
            return operatorId;
            }
    public void setFactoryId(String factoryId)
            {
            this.factoryId = factoryId;
            }

    public String getFactoryId()
            {
            return factoryId;
            }
    public void setStorageMode(String storageMode)
            {
            this.storageMode = storageMode;
            }

    public String getStorageMode()
            {
            return storageMode;
            }
    public void setStatus(String status)
            {
            this.status = status;
            }

    public String getStatus()
            {
            return status;
            }
    public void setReceivingStatus(String receivingStatus)
            {
            this.receivingStatus = receivingStatus;
            }

    public String getReceivingStatus()
            {
            return receivingStatus;
            }
    public void setOrderType(String orderType)
            {
            this.orderType = orderType;
            }

    public String getOrderType()
            {
            return orderType;
            }

public List<TRkReceivingGoodsTab> getTRkReceivingGoodsTabList()
        {
        return tRkReceivingGoodsTabList;
        }

public void setTRkReceivingGoodsTabList(List<TRkReceivingGoodsTab> tRkReceivingGoodsTabList)
        {
        this.tRkReceivingGoodsTabList = tRkReceivingGoodsTabList;
        }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("noticeId", getNoticeId())
            .append("deliveryId", getDeliveryId())
            .append("providerId", getProviderId())
            .append("providerName", getProviderName())
            .append("purchaseId", getPurchaseId())
            .append("shippingDept", getShippingDept())
            .append("contact", getContact())
            .append("telephone", getTelephone())
            .append("receiveAddr", getReceiveAddr())
            .append("sendeDate", getSendeDate())
            .append("purchaseDept", getPurchaseDept())
            .append("remark", getRemark())
            .append("receivingArea", getReceivingArea())
            .append("useReceiver", getUseReceiver())
            .append("useCustodian", getUseCustodian())
            .append("useLeader", getUseLeader())
            .append("receiver", getReceiver())
            .append("applicant", getApplicant())
            .append("produclotId", getProduclotId())
            .append("receiverDept", getReceiverDept())
            .append("tenderer", getTenderer())
            .append("operatorId", getOperatorId())
            .append("factoryId", getFactoryId())
            .append("storageMode", getStorageMode())
            .append("status", getStatus())
            .append("receivingStatus", getReceivingStatus())
            .append("orderType", getOrderType())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("tRkReceivingGoodsTabList", getTRkReceivingGoodsTabList())
        .toString();
        }
}


















